Bug 165847 - [PATCH] audio/goobox: Remove audio/libmusicbrainz dependency
[PATCH] audio/goobox: Remove audio/libmusicbrainz dependency
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: gnome
Depends on:
  Show dependency treegraph
Reported: 2012-03-08 04:00 UTC by bsdkaffee
Modified: 2012-03-15 18:00 UTC (History)
1 user (show)

See Also:

2012-03-07-goobox.diff (8.74 KB, patch)
2012-03-08 04:00 UTC, bsdkaffee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsdkaffee 2012-03-08 04:00:28 UTC
- Patch audio/goobox to use audio/libdiscid instead of audio/libmusicbrainz
- audio/libmusicbrainz is deprecated as the MusicBrainz RDF webservice
  is no longer functional
- Patch replaces libmusicbrainz disc functions with libdiscid functions but
  does not restore metadata lookups which would require a considerable amount
  of work

How-To-Repeat: - Use attached diff
Comment 1 Edwin Groothuis freebsd_committer 2012-03-08 04:00:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-03-15 17:53:20 UTC
mezz        2012-03-15 17:53:10 UTC

  FreeBSD ports repository

  Modified files:
    audio/goobox         Makefile distinfo pkg-plist 
  Added files:
    audio/goobox/files   patch-port_to_libmusicbrainz3 
  Removed files:
    audio/goobox/files   patch-src_cd-drive.c patch-src_main.c 
  - Update to 2.2.0.
  - Port to audio/libmusicbrainz3 and libdiscid. [1]
  - Remove audio/libmusicbrainz dependency.
  PR:             ports/165847
  Reported by:    Jason E. Hale <bsdkaffee@gmail.com>
  Obtained from:  Its git. [1]
  Feature safe:   yes
  Revision  Changes    Path
  1.40      +12 -6     ports/audio/goobox/Makefile
  1.12      +2 -2      ports/audio/goobox/distinfo
  1.1       +773 -0    ports/audio/goobox/files/patch-port_to_libmusicbrainz3 (new)
  1.1       +26 -0     ports/audio/goobox/files/patch-port_to_libnotify07 (new)
  1.4       +0 -12     ports/audio/goobox/files/patch-src_cd-drive.c (dead)
  1.4       +0 -11     ports/audio/goobox/files/patch-src_main.c (dead)
  1.14      +32 -15    ports/audio/goobox/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 mezz freebsd_committer 2012-03-15 17:53:30 UTC
State Changed
From-To: open->closed

I have grabbed a patch from its git instead of use your patch. Also, updated 
it to 2.2.0. Thanks for your work!